dracut (112-1ubuntu1) stonking; urgency=medium

  * feat: put compressed kernel modules and firmware in an uncompressed cpio

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 19 Aug 2026 18:20:28 +0200

dracut (112-1) unstable; urgency=medium

  * New upstream release:
    - security fixes (CVE-2026-6893 and CVE-2026-16445, closes: #1139725):
      + network-legacy: sanitize DHCP values in dhclient-script.sh
      + overlayfs-crypt: prevent eval injection in parse_overlay_opts()
      + dracut-lib: sanitize variable assignments using eval
      + systemd-networkd: escape values from DHCP options
      + iscsi: normalize initiator and target names
      + net-lib: validate iSCSI LUN parameters
    - dracut: default to hostonly_cmdline=no in chroot (Closes: #1132794)
    - resume: include in hostonly sloppy mode if supported by kernel
      (LP: #2158694)
  * Drop patches applied upstream
  * dracut-core: add new qcom-adsp module
  * dracut-network: add new chrony module
  * Add upstream signing key

 -- Benjamin Drung <bdrung@debian.org>  Mon, 03 Aug 2026 02:06:07 +0200

dracut (111-6) unstable; urgency=medium

  * dracut-core: depend on mount (e.g. needed by base module) (Closes: #1142204)
  * Switch to debhelper 14

 -- Benjamin Drung <bdrung@debian.org>  Fri, 17 Jul 2026 01:29:30 +0200

dracut (111-5) unstable; urgency=medium

  * test(systemd): disable man page checks in verify test (LP: #2160087)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 08 Jul 2026 12:18:38 +0200

dracut (111-4) unstable; urgency=medium

  [ Miao Wang ]
  * test: use edk2 firmware for loong64 tests

  [ Luca Boccassi ]
  * Add suggests/depends on new systemd-tpm package (since systemd 261-2)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 29 Jun 2026 13:01:36 +0200

dracut (111-3) unstable; urgency=medium

  [ Gioele Barabucci ]
  * Update upstream repo name from dracut-ng to dracut

  [ Luca Boccassi ]
  * Backport patches to fix autopkgtest with systemd v261

  [ Benjamin Drung ]
  * test(SYSTEMD-SYSEXT): use pre-pivot hook
  * Point homepage to upstream documentation page

 -- Benjamin Drung <bdrung@debian.org>  Thu, 18 Jun 2026 17:27:25 +0200

dracut (111-2) unstable; urgency=medium

  * test: exit after create-root.sh has been run

 -- Benjamin Drung <bdrung@debian.org>  Wed, 06 May 2026 18:49:20 +0200

dracut (111-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream
  * Refresh fix-iscsi-handle-empty-URI-in-firmware-boot-mode.patch
  * dracut-core: add new crypt-lib and systemd-sysusers-service modules
  * autopkgtest: add new 46-systemd-sysext test
  * Drop building dracut-test on 32-bit architectures and skip running
    upstream tests on armhf as autopkgtest (Closes: #1134874)
  * Update lintian overrides for lintian 2.135

 -- Benjamin Drung <bdrung@debian.org>  Sat, 02 May 2026 20:17:34 +0200

dracut (110-12) unstable; urgency=medium

  * Cherry-pick upstream fixes:
    - feat(dracut): add module to add fw files from DT firmware-name properties
    - fix: avoid arguments for dot commands
    - test(ISCSI): wait for tgtd startup
    - fix(iscsi): handle empty URI in firmware boot mode (LP: #2121865)
  * dracut-core: add new devicetree-firmware module

 -- Benjamin Drung <bdrung@debian.org>  Tue, 14 Apr 2026 23:47:03 +0200

dracut (110-11) unstable; urgency=medium

  * Cherry-pick upstream commits:
    - fix(dracut): remove leading space from recorded arguments
    - fix(dracut): do not record parameters that do not change the initrd
    - refactor(70crypt): extract luks_open_interactive into crypt-lib
    - feat(overlayfs-crypt): add new encrypted persistent overlay support
      (LP: #2125790, #2148194)
    - feat(dracut): add a DRACUT_EXTRA_ARGS environment variable
      (Closes: #1132794)
    - refactor(overlayfs): exit early in case LiveOS_rootfs is mounted
    - fix(overlayfs): unmount NEWROOT before mounting overlay (LP: #2147471)
  * dracut-core: add new overlayfs-crypt module
  * 21-overlayfs autopkgtest: add cryptsetup dependency

 -- Benjamin Drung <bdrung@debian.org>  Mon, 13 Apr 2026 15:34:06 +0200

dracut (110-10) unstable; urgency=medium

  * Cherry-pick upstream fixes:
    - fix: set DRACUT_TMPDIR before using it in dlog_init()
    - docs: mention order of precedence
    - test: run all tests with --no-hostonly-cmdline

 -- Benjamin Drung <bdrung@debian.org>  Sat, 11 Apr 2026 00:04:43 +0200

dracut (110-9) unstable; urgency=medium

  * update-initramfs: support loading post-update hooks from /usr/share/ too
    (LP: #2147002)
  * Cherry-pick upstream fixes:
    - fix(SYSTEMD-IMPORT): remount /sysroot with dev and suid flags
      (LP: #2146342)
    - fix(dracut): determine hostonly_cmdline after hostonly setting
      (Closes: #1132794)
  * Bump Standards-Version to 4.7.4

 -- Benjamin Drung <bdrung@debian.org>  Tue, 07 Apr 2026 12:37:12 +0200

dracut (110-8) unstable; urgency=medium

  * Cherry-pick upstream fixes:
    - fix(zipl): repair parsing of rd.zipl=LABEL|UUID|...=
    - test(run-qemu): double QEMU timeout to 20 min on ARM
    - fix(dracut): enable hostonly_cmdline in hostonly mode again (LP: #2144948)
    - fix(dracut): properly detect kernel version with --sysroot
    - test(FULL-SYSTEMD): increase device timeout to infinity

 -- Benjamin Drung <bdrung@debian.org>  Fri, 27 Mar 2026 22:12:37 +0100

dracut (110-7) unstable; urgency=medium

  * correct fix(base): move initrd.target.wants symlink creation to wait_for_dev
    (Closes: #1131416)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 21 Mar 2026 21:55:34 +0100

dracut (110-6) unstable; urgency=medium

  * Cherry-pick upstream commits:
    - fix(crypt): use -d instead of -f to check for $NEWROOT/proc directory
    - feat(overlayfs): support tmpfs size parameter in rd.overlay
    - fix(systemd-networkd): create /run/systemd/network if missing
    - test(SYSTEMD-INITRD): increase device timeout to infinity
  * fix(base): move initrd.target.wants symlink creation to wait_for_dev
  * fix(crypt): use systemd generator for setting the timeout (LP: #2143264)
  * fix(kernel-modules): install mmc drivers on all architectures (LP: #2143030)
  * autopkgtest:
    - double timeout to 20 min for arm64
    - skip slow 31-livenet and 45-systemd-import on riscv64
    - skip 50-network on riscv64 due to systemd-networkd-wait-online timeout

 -- Benjamin Drung <bdrung@debian.org>  Thu, 19 Mar 2026 23:19:30 +0100

dracut (110-5) unstable; urgency=medium

  * fix(crypt): honor timeout setting when using UUID, LABEL, etc
  * autopkgtest:
    - increase timeout to 30 min for riscv64
    - skip time-consuming tests on riscv64
  * dracut-core: Declare breaking rust-coreutils before version 0.5.0
  * dracut-network: demote nbd-client, nfs-common, open-iscsi to suggests

 -- Benjamin Drung <bdrung@debian.org>  Fri, 13 Mar 2026 15:57:36 +0100

dracut (110-4) unstable; urgency=medium

  * Cherry-pick upstream fixes:
    - test: use separate networks for different NICs
    - test: start hostname numbering at 0
    - test: do not use the same IP for different MAC addresses
    - fix(dbus): remove After/Requires from dbus service/socket (LP: #2141603)
    - test: use different MAC addresses for all NFS client tests
    - test: switch QEMU network backend to dgram (UDP)
    - test: switch from isc-dhcp-server to dnsmasq

 -- Benjamin Drung <bdrung@debian.org>  Thu, 05 Mar 2026 21:32:20 +0100

dracut (110-3) unstable; urgency=medium

  [ Hector Cao ]
  * test: force cpu to neoverse-n1 for arm64 when QEMU_CPU not set
    (Closes: #1128969, LP: #2142121)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 26 Feb 2026 17:08:57 +0100

dracut (110-2) unstable; urgency=medium

  * Run MD RAID test cases in test 70 and 71 again (fixed in mdadm 4.5-5)
  * fix(multipath): include Debian-specific priority of udev rules until
    Debian and upstream agrees on one common numbering (see LP 2137190)
  * Build-depend on libsystemd-dev to build dracut-install with JSON support
    (Closes: #1128349)
  * Apply upstream patches to fix failing autopkgtest 14-hooks on Ubuntu:
    - fix(kernel-modules-export): use return instead of exit in pre-pivot hook
    - fix(memdisk): use return instead of exit in cmdline hook
    - fix(ppcmac): use return instead of exit in pre-udev hook
    - fix(syslog): use return instead of exit in initqueue/online hook
  * dracut-test: add run-qemu and test-functions
  * autopkgtest: Doule timeout to 20 min for slow architectures armhf, riscv64

 -- Benjamin Drung <bdrung@debian.org>  Mon, 23 Feb 2026 14:25:02 +0100

dracut (110-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches applied upstream
  * dracut-core:
    - remove dropped uki-virt and no-xattr Dracut config
    - remove merged dracut-init.sh and dracut-version.sh
    - rename systemd-pcrphase to systemd-pcrextend
    - order systemd-cryptsetup after crypt Dracut module
    - add new memdisk Dracut module
  * dracut-network:
    - add new systemd-import Dracut module and suggest systemd-container for it
    - Drop network-legacy dracut module (and isc-dhcp-client support)
  * autopkgtest: add new upstream tests 14-hooks, 21-overlayfs, 31-livenet,
    and 45-systemd-import
  * autopkgtest: do not require make for running upstream tests
  * test: skip failing MD RAID tests cases in test 70 and 71 (mdadm 4.5 bug)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 09 Feb 2026 02:05:10 +0100

dracut (109-11) unstable; urgency=medium

  * autopkgtest: explicitly depend on dmsetup for test 60-nfs

 -- Benjamin Drung <bdrung@debian.org>  Fri, 30 Jan 2026 22:36:56 +0100

dracut (109-10) unstable; urgency=medium

  * Let firmware package updates trigger the dracut autopkgtest
  * dracut-core: document which Dracut module needs suggested packages
  * Merge dracut-squash into dracut-core
  * Move the livenet Dracut module to dracut-network and merge the remaining
    dracut-live into dracut-core
  * fix(tpm2-tss): add tss user/group in addition to sysusers config
    (LP: #2127725)
  * autopkgtest: depend on erofs-utils and xorriso in test 30

 -- Benjamin Drung <bdrung@debian.org>  Fri, 30 Jan 2026 15:08:55 +0100

dracut (109-9) unstable; urgency=medium

  * feat: warn in case 3cpio is present but not suitable (Closes: #1125948)
  * dracut-core: Prefer 3cpio over cpio again

 -- Benjamin Drung <bdrung@debian.org>  Sat, 24 Jan 2026 19:43:56 +0100

dracut (109-8) unstable; urgency=medium

  [ Bastian Blank ]
  * Revert to use cpio. (closes: #1125948)

  [ Benjamin Drung ]
  * Drop unneeded udevsettle patch (see upstream issue 2067)

 -- Bastian Blank <waldi@debian.org>  Fri, 23 Jan 2026 20:40:34 +0100

dracut (109-7) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Set Debian Kernel Team address as maintainer.
    Move Thomas Lange to Uploaders.

  [ Benjamin Drung ]
  * fix(dracut): source dracut-functions.sh before calling dwarning
    (Closes: #1124479)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 16 Jan 2026 19:01:26 +0100

dracut (109-6) unstable; urgency=medium

  * Move packaging git repository to the kernel team
  * dracut-test: drop removed qemu-efi-arm [armhf] (Closes: #1124247)
  * test(run-qemu): support RISC-V
  * test(sysroot): run with --no-hostonly-cmdline
  * test: drop --auto=yes from mdadm call
  * test: run QEMU with a timeout unless daemonized (Closes: #1121884)
  * autopkgtest: do not exclude riscv64 any more
  * debian/control: drop explicit priority optional
  * Update year in debian/copyright
  * Update upstream information about dracut-ng in debiian/copyright
  * Bump Standards-Version to 4.7.3

 -- Benjamin Drung <bdrung@debian.org>  Mon, 12 Jan 2026 15:44:08 +0100

dracut (109-5) unstable; urgency=medium

  * test(run-qemu): use hvc0 console on s390x (Closes: #1120955)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 29 Nov 2025 00:43:17 +0100

dracut (109-4) unstable; urgency=medium

  * test: update UEFI patches to the version merged upstream

 -- Benjamin Drung <bdrung@debian.org>  Wed, 26 Nov 2025 01:17:48 +0100

dracut (109-3) unstable; urgency=medium

  * test:
    - forward journald logs to console in V=1 or V=2
    - replace rev command by sed and drop bsdextrautils dependency
    - use UEFI for QEMU when available and support UEFI on ARM
  * dracut-test: ovmf is only needed for amd64
  * Drop debian-initramfs-post-update.patch because the update-initramfs
    script (shipped by dracut) invokes the bootloader hooks from
    /etc/initramfs/post-update.d. (Closes: #1091455)
  * autopkgtest: Skip failing (hanging) 41-full-systemd on s390x
    (Closes: #1120955)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 25 Nov 2025 19:40:40 +0100

dracut (109-2) unstable; urgency=medium

  * Fix FTCBFS: Export ARCH for make (Closes: #1120911)
  * fix(systemd-networkd): install and enable
    systemd-networkd-resolve-hook.socket (Closes: #1120955)
  * dracut-live: depend on parted for dmsquash-live-autooverlay
  * autopkgtest: remove unneeded dependencies
  * autopkgtest: run kernel-install tests again after #1117563 got fixed
  * Add Apport hook to include all packages with dracut modules in report
    (LP: #2081183)
  * test: exit with code 77 if test is skipped
  * dracut-core: demote *cryptsetup, dmsetup, kpartx, lvm2, mdadm to suggests
    These packages should be installed in case they are needed for the disk
    setup but should not installed by default via Recommends.
  * test: set console cmdline depending on the architecture
  * run autopkgtest on all relevant architectures (LP: #2115532)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 19 Nov 2025 17:15:22 +0100

dracut (109-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream and refresh remaining patches
  * test: remove test module
  * fix(debian): lower the ordering number for debian conf
  * fix(systemd-sysusers): increase ordering from 68 to 78
  * Provide separate install files for s390x
  * dracut-core: add new module kernel-modules-export
  * autopkgtest: test 30-DMSQUASH requires dracut-network now
  * autopkgtest: run full systemd test separately with a separate set of
    additional dependencies.
  * autopkgtest: add test 44-drivers and 50-network
  * debian/rules: drop explicit --configprofile configure option
  * fix(dracut): decrease logging by default
  * autopkgtest: drop unneeded dbus and isc-dhcp-client dependency
  * update-initramfs: drop intermediate initrd.new (see bug 1116593)
  * autopkgtest: drop setting KVERSION
  * configure: disable dracut-cpio explicitly
  * Upgrade debian/watch to version 5
  * Drop Rules-Requires-Root: no, which is the default now

 -- Benjamin Drung <bdrung@debian.org>  Wed, 05 Nov 2025 10:27:36 +0100

dracut (108-8) unstable; urgency=medium

  * dracut-test: fix dropped dependencies on i386

 -- Benjamin Drung <bdrung@debian.org>  Tue, 14 Oct 2025 18:35:08 +0200

dracut (108-7) unstable; urgency=medium

  * dracut-test: drop dependencies on i386 that are not present

 -- Benjamin Drung <bdrung@debian.org>  Tue, 14 Oct 2025 17:27:09 +0200

dracut (108-6) unstable; urgency=medium

  * test: allow running UEFI and kernel-install tests in chroot
  * autopkgtest: depend on bsdextrautils for rev command
  * Move common autopkgtest dependencies to dracut-test
  * autopkgtest: run every upstream test as separate test
  * autopkgtest: depend on util-linux-extra for switch_root in 30-dmsquash
  * test: skip using kernel-install due to bug #1117563
  * autopkgtest: copy dracut.conf.d into test directory

 -- Benjamin Drung <bdrung@debian.org>  Tue, 07 Oct 2025 23:45:56 +0200

dracut (108-5) unstable; urgency=medium

  * autopkgtest: drop skipping removed TEST-23-IMSM
  * Fix kernel-install test cases by avoiding add-all call
  * fix(Makefile): exclude hidden directories from shellcheck part 2

 -- Benjamin Drung <bdrung@debian.org>  Fri, 26 Sep 2025 10:55:23 +0200

dracut (108-4) unstable; urgency=medium

  * Drop build dependency on shfmt on archs where it is not available
  * fix(dracut): library directory creation in --kernel-only
  * dracut-core: Prefer 3cpio over cpio
  * autopkgtest: install pkgconf for TEST-40-SYSTEMD
  * fix(lsinitrd): use lowercase skip variable name

 -- Benjamin Drung <bdrung@debian.org>  Thu, 25 Sep 2025 16:23:44 +0200

dracut (108-3) unstable; urgency=medium

  * Cherry-pick upstream commits to simplify debian/rules:
    - feat(Makefile): introduce distclean target
    - fix(hwdb): make module-setup.sh executable
    - fix(Makefile): use install for installing files
  * autopkgtest: drop sysvinit-utils and util-linux dependencies
  * dracut-test: depend on mount for mount/umount commands
  * Support shellcheck 0.11
  * Cherry-pick some upstream fixes:
    - fix(dracut-util): crash if CMDLINE ends with quotation mark
    - fix(kernel-modules): add Cadence USB driver to base (Closes: #1108924)
    - fix(lsinitrd): avoid rechecking for squash images
  * Support 3cpio for creating and listing initrds

 -- Benjamin Drung <bdrung@debian.org>  Wed, 13 Aug 2025 14:07:00 +0200

dracut (108-2) unstable; urgency=medium

  * debian/rules: drop obsolete removal of modified adoc line
  * debian/rules: remove unwanted files directly after dh_auto_install
  * Override package-contains-documentation-outside-usr-share-doc
  * Drop extend-diff-ignore from source options
  * Drop dracut-config-generic and dracut-config-rescue (Closes: #968039)
  * Mark dracut-network, dracut-squash, dracut-live, dracut-test as multi-arch
    foreign
  * dracut-network: depend on iproute2 for ip command
  * dracut-network: demote iscsiuio to suggests (iscsiuio is only needed for
    specific hardware and Dracut works without it)
  * autopkgtest: add TEST-70-ISCSI and TEST-71-ISCSI-MULTI
  * dracut-network: use order from Dracut network module in dependencies which
    makes network-manager the first alternative (closes: #1110188)
  * Set Dracut version in dracut-version.sh on install

 -- Benjamin Drung <bdrung@debian.org>  Thu, 07 Aug 2025 14:26:28 +0200

dracut (108-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied upstream and refresh remaining patches
  * Skip lsinitrd autopkgtest on armel and i386
  * Switch to asciidoctor for man generation (LP: #2115494)
  * Drop fix-revdate script (asciidoctor honors SOURCE_DATE_EPOCH)
  * Follow upstream's module and configuration renumbering
  * Add factored out initqueue and rootfs-block-fallback modules to dracut-core
  * Use debian config profile
  * fix(dracut): do not call uname -r in chroot environments
  * Run TEST-80-GETARGS and TEST-81-SKIPCPIO during build
  * Drop removing obsolete 11-ifcfg.conf on upgrades
  * Update initrdname patch

 -- Benjamin Drung <bdrung@debian.org>  Mon, 04 Aug 2025 17:21:16 +0200

dracut (107-2) unstable; urgency=medium

  * autopkgtest: depend on curl for test 60-NFS
  * Bump Standards-Version to 4.7.2
  * Add update-initramfs (derived from initramfs-tools) (LP: #2098525)
  * Add bash completion for update-initramfs (LP: #2103540)
  * autopkgtest: replace qemu-kvm by qemu-system-native
  * Fix shellcheck in Debian packaging scripts
  * fix(lsinitrd): resolve initrd to real path (LP: #2116183)
  * Add autopkgtest for lsinitrd
  * dracut-network: default to systemd-networkd as network manager
  * dracut-core: silence "cannot break line" groff warnings
  * Run syncheck on package test phase

 -- Benjamin Drung <bdrung@debian.org>  Tue, 29 Jul 2025 23:31:39 +0200

dracut (107-1) unstable; urgency=medium

  [ Thomas Lange ]
  * new upstream 107
  * drop 90overlay-root in favor of the overlayfs, Closes: #1017039
  * refresh patches, drop patches included upstream
  * rename module systemd-sysusers
  * add module 45simpledrm
  * update revdate for man pages

  [ Benjamin Drung ]
  * Stop shipping the dmraid module (Closes: #1099698)
  * Set -H --hostonly-mode=sloppy as default arguments via a config file
  * d/copyright: fix lintian's old-fsf-address-in-copyright-file
  * autopkgtest:
    - enable test 12 but skip using kernel-install due to bug #1104848
    - Remove possible masked systemd-udevd to avoid test 10 to fail

 -- Thomas Lange <lange@debian.org>  Tue, 20 May 2025 11:21:44 +0200

dracut (106-6) unstable; urgency=medium

  [ cacin ]
  * Drop nonexistent Recommends: dmraid (Closes: #1099698)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Apr 2025 13:34:23 +0200

dracut (106-5) unstable; urgency=medium

  * disable upstream test 43

 -- Thomas Lange <lange@debian.org>  Sat, 22 Feb 2025 14:06:40 +0100

dracut (106-4) unstable; urgency=medium

  * skip upstream test 12, time out on Debian

 -- Thomas Lange <lange@debian.org>  Fri, 21 Feb 2025 17:53:33 +0100

dracut (106-3) unstable; urgency=medium

  * disable autopkgtest for s390x, Closes: #1096001
  * debian/rules: remove dracut.html which does not exist

 -- Thomas Lange <lange@debian.org>  Thu, 20 Feb 2025 11:02:07 +0100

dracut (106-2) unstable; urgency=medium

  * new patches (all accepted upstream):
    - test(ISCSI): skip root=ibft if qemu -acpitable is not supported
    - test(FULL-SYSTEMD): skip encrypted root if qemu -smbios is not supported
    - test: use persistent names for network devices
    - fix(dracut-install): install compressed blobs that match wildcard fwpath
      (LP: #2095518)
  * autopkgtest: explicitly depend on ipxe-qemu
  * dracut-core: install upstream dracut.conf.d subdirectories
    (to be used with --confdir)
  * Enable autopkgtest for s390x

 -- Benjamin Drung <bdrung@debian.org>  Thu, 13 Feb 2025 01:05:51 +0100

dracut (106-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to point to dracut-ng upstream
  * dracut-live: suggest isomd5sum (for checkisomd5 command) (Closes: #1095162)
  * dracut-core: install /usr/lib/kernel/install.d (Closes: #1082811)
  * Drop patches included upstream and refresh remaining patches
  * Move modules:
    - reserve range 50-59 to out of tree dracut modules
    - fix(shell-interpreter): move later in the module ordering
    - move 01systemd-sysusers to 60systemd-sysusers
  * dracut-core: remove moved upstream docs
  * dracut-core: drop dracut.html (please use man pages instead)
  * dracut-core: add new modules 01systemd-battery-check and 97systemd-emergency
  * test: reorganize tests (new numbering schema)
  * Run upstream autopkgtest as root
  * test: depend on dbus and systemd-container for TEST-41-FULL-SYSTEMD
  * new patches:
    - test: log error when constructing sysroot
    - test(FULL-SYSTEMD): skip systemd-network-management if missing
  * dracut-core: drop gawk dependency

 -- Benjamin Drung <bdrung@debian.org>  Fri, 07 Feb 2025 21:21:31 +0100

dracut (105-3) unstable; urgency=medium

  * Add patches to improve test cases in error case
  * autopkgtest: add TEST-20-NFS test

 -- Benjamin Drung <bdrung@debian.org>  Tue, 07 Jan 2025 10:25:32 +0100

dracut (105-2) unstable; urgency=medium

  * autopkgtest:
    - run network tests with systemd-networkd
    - drop explicit gawk dependency
    - run test with zstd
    - restrict to amd64 again (Closes: #1087834)
    - update reasons for skipped tests
    - run tests with V=1
    - drop unneeded vim and iputils-ping dependencies
    - rename upstream-dracut-network to upstream-dracut-network-nbd
  * disable using DH_VERBOSE=1
  * fix(iscsi): include /usr/lib/open-iscsi/startup-checks.sh if needed
    (LP: #2081172)
  * Add upstream metadata
  * Let dracut-network recommend iscsiuio (for iscsi module)
  * fix(dracut-init): add compatibility with Debian/Ubuntu for libdirs detection

 -- Benjamin Drung <bdrung@debian.org>  Thu, 21 Nov 2024 14:30:47 +0100

dracut (105-1) unstable; urgency=low

  [ Thomas Lange ]
  * new upstream, Closes: #1081566
  * add systemd-cryptsetup as Recommends, Closes: #1078792
  * add Benjamin as uploader
  * update standards version, no changes needed
  * instead of depend on init, now recommend systemd-sysv, Closes: #1056382
  * Do not call clean target in tests, Closes: #1086085

  [ Benjamin Drung ]
  * dracut-core:
    - add new modules 00shell-interpreter, 01fips-crypto-policies,
      01systemd-bsod, 01systemd-creds, 90numlock, 90pcmcia
    - drop recommending pkgconf
    - drop depending directly on libkmod2. dracut-install links against it.
    - recommend zstd instead of pigz and default to zstd
  * Switch to debhelper 13
  * dracut: use await variant of update-initramfs trigger
  * drop nm-path patch (network-manager ships the helpers in /usr/libexec)
  * Add systemd-coredump, systemd-cryptsetup, and systemd-repart as
    dependencies for upstream-dracut-core autopkgtest.
  * Regenerate only the latest and missing initrds (LP: #2048990)
  * Move module 95nvmf from dracut-core to dracut-network (LP: #2083881)
  * Drop unneeded quilt from build dependencies
  * Default initrdname to initrd.img-${kernel}
  * Enable all hardening flags
  * fix-01fips-crypto-policies-use-bin-in-shebang.patch: use /bin in shebang
  * Add a dracut-test package to ship the files needed for the test suite
  * autopkgtest:
    - run autopkgtest with V=2 (for maximum verbosity)
    - run autopkgtest on all architectures
    - disable using KVM for ppc64el
    - set ARCH to dpkg architecture
    - Depend on ovmf, squashfs-tools, and systemd-ukify for TEST-18-UEFI
    - Depend on systemd-cryptsetup for TEST-40-NBD
    - restrict systemd-boot-efi to supported archs
  * dracut-config-generic: ship upstream 50-generic.conf instead of Debian
    specific one and put it into /usr/lib/dracut/dracut.conf.d
  * dracut-config-rescue: ship upstream 50-rescue.conf instead of Debian
    specific one and put it into /usr/lib/dracut/dracut.conf.d
  * Set Rules-Requires-Root: no
  * test: decrease default VM memory size to 1 GiB
  * Run wrap-and-sort

 -- Benjamin Drung <bdrung@debian.org>  Thu, 14 Nov 2024 12:29:30 +0100

dracut (103-2) unstable; urgency=low

  * control: add depends on gawk, init, Closes: #1056382, #1081005

 -- Thomas Lange <lange@debian.org>  Wed, 11 Sep 2024 11:16:43 +0200

dracut (103-1.1) unstable; urgency=medium

  * no changes non-maintainer upload to rebuild the package with a newer
    libkmod2 (see #1079022)

 -- Marco d'Itri <md@linux.it>  Tue, 20 Aug 2024 23:36:24 +0200

dracut (103-1) unstable; urgency=low

  * new upstream version 103
  * sync and delete patches
  * add new dracut module

 -- Thomas Lange <lange@debian.org>  Thu, 25 Jul 2024 13:30:18 +0900

dracut (102-3) unstable; urgency=medium

  * add module net-lib, Closes: #1072744
  * remove obsolete patch fido-libz

 -- Thomas Lange <lange@debian.org>  Fri, 07 Jun 2024 13:57:47 +0200

dracut (102-2) unstable; urgency=medium

  * add 90systemd-cryptsetup module, Closes: 1072538

 -- Thomas Lange <lange@debian.org>  Tue, 04 Jun 2024 11:38:08 +0200

dracut (102-1) unstable; urgency=low

  * new upstream:
    Closes: 1029324, 1041614, 1022129, 1071592, 1072174, 1068250
    Closes: 1071182, 1059501
  * change to new dracut-ng upstream repository, the package name remains
    unchanged
  * apply salsa MR #11, Closes: 753752
  * move kpartx from depends to recommends, Closes: 1033158

 -- Thomas Lange <lange@debian.org>  Mon, 03 Jun 2024 14:14:11 +0200

dracut (060+5-8) unstable; urgency=low

  * control: adjust breaks, replaces, Closes: #1071208, #1071244
  * add patch taken from dracut-ng, Closes: #1071182

 -- Thomas Lange <lange@debian.org>  Sun, 19 May 2024 16:45:33 +0200

dracut (060+5-7) unstable; urgency=low

  * control: update package depends name
  * add lintian override

 -- Thomas Lange <lange@debian.org>  Mon, 01 Apr 2024 23:01:58 +0200

dracut (060+5-2) unstable; urgency=low

  * set --systemdsystemunitdir from pkg-config, MR #32, Closes: #1057927
  * split dracut-install into separate package for initramfs-tools, MR #27
  * enable autopkgtest test suite, MR #24

 -- Thomas Lange <lange@debian.org>  Sun, 31 Mar 2024 19:05:19 +0200

dracut (060+5-1) unstable; urgency=medium

  * upstream changed the release process, and do not tag the releases any
    more
  * 059+212 was already version 060+5
  * add dracut-network.conffiles, Closes: 1057807

 -- Thomas Lange <lange@debian.org>  Fri, 08 Dec 2023 21:09:47 +0100

dracut (059+212-3) unstable; urgency=medium

  * fix handling of dracut-version.sh

 -- Thomas Lange <lange@debian.org>  Wed, 06 Dec 2023 14:36:26 +0100

dracut (059+212-2) unstable; urgency=low

  * debian/rules: use correct Debian version

 -- Thomas Lange <lange@debian.org>  Wed, 06 Dec 2023 12:00:30 +0100

dracut (059+212-1) unstable; urgency=low

  * merge upstream changes, Closes: #1056059, #1041562, #1054400, #1016052

 -- Thomas Lange <lange@debian.org>  Thu, 30 Nov 2023 22:10:02 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog dracut-install`.
